Changeset 2946338a


Ignore:
Timestamp:
02/01/2013 10:31:14 PM (9 years ago)
Author:
Randy McMurchy <randy@…>
Branches:
10.0, 10.1, 11.0, 7.10, 7.4, 7.5, 7.6, 7.6-blfs, 7.6-systemd, 7.7, 7.8, 7.9, 8.0, 8.1, 8.2, 8.3, 8.4, 9.0, 9.1, basic, bdubbs/svn, elogind, gnome, kde5-13430, kde5-14269, kde5-14686, ken/refactor-virt, krejzi/svn, lazarus, nosym, perl-modules, qt5new, systemd-11177, systemd-13485, trunk, xry111/git-date, xry111/git-date-for-trunk, xry111/git-date-test
Children:
1af010b2
Parents:
8517108
Message:

Added gtk-update-icon-cache and update-desktop-database commands to various packages

git-svn-id: svn://svn.linuxfromscratch.org/BLFS/trunk/BOOK@10989 af4574ff-66df-0310-9fd7-8a98e5e911e0

Files:
10 edited

Legend:

Unmodified
Added
Removed
  • kde/add/kdenetwork.xml

    r8517108 r2946338a  
    9090    <xref linkend="libidn"/>,
    9191    <xref linkend="speex"/>,
    92     <ulink url="http://hansdegoede.livejournal.com/3636.html">libv4l</ulink>,
     92    <ulink url="http://linuxtv.org/downloads/v4l-utils/">Video4Linux</ulink>,
    9393    <ulink url="http://ktorrent.org/">libktorrent</ulink>,
    9494    <ulink url="http://sourceforge.net/projects/libmms/">libmms</ulink>,
     
    133133
    134134    <para><option>-DDISABLE_VIDEOSUPPORT=ON</option>: Set this option in case
    135     you don't have <application>libv4l</application> installed.</para>
     135    you don't have <application>Video4Linux</application> installed.</para>
    136136
    137137  </sect2>
  • multimedia/audioutils/audacious.xml

    r8517108 r2946338a  
    246246
    247247<screen role="root"><userinput>make install</userinput></screen>
     248
     249    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     250      href="../../xincludes/update-icons-and-desktop.xml"/>
    248251  </sect2>
    249252
  • multimedia/libdriv/xine-lib.xml

    r8517108 r2946338a  
    3535      The <application>xine Libraries</application> package contains xine
    3636      libraries. These are useful for interfacing with external plug-ins that
    37       allow the flow of information from the source to the screen and
    38       speakers.
     37      allow the flow of information from the source to the audio and video
     38      hardware.
    3939    </para>
    4040
     
    149149
    150150    <para>
    151       <option>--disable-vcd</option>: This option is required to compile Xine
    152       Lib without
     151      <parameter>--disable-vcd</parameter>: This option is required to compile
     152      <application>Xine Lib</application> without
    153153      <ulink url="http://ftp.gnu.org/gnu/vcdimager/">VCDImager</ulink>
    154154      installed. Remove this option if you have installed VCDImager.
     
    156156
    157157    <para>
    158       <option>--docdir=/usr/share/xine-lib-&xine-lib-version;</option>: This
     158      <parameter>--docdir=/usr/share/xine-lib-&xine-lib-version;</parameter>: This
    159159      switch causes the documentation to be installed into a versioned
    160160      directory instead of the default
  • multimedia/videoutils/ffmpeg.xml

    r8517108 r2946338a  
    105105      <ulink url="http://sourceforge.net/projects/opencvlibrary/">libopencv</ulink>,
    106106      <ulink url="http://sourceforge.net/projects/libdc1394/">libdc1394</ulink>,
    107       <ulink url="http://linuxtv.org/downloads/v4l-utils/">libv4l2</ulink>, and
     107      <ulink url="http://linuxtv.org/downloads/v4l-utils/">Video4Linux</ulink>, and
    108108      <ulink url="http://www.nongnu.org/texi2html">texi2html</ulink>
    109109        (to build HTML documentation).</para>
  • multimedia/videoutils/mplayer.xml

    r8517108 r2946338a  
    101101    <note>
    102102      <para>
    103         Skins are only required to use the Gtk+ 2 user interface.
     103        Skins are only required to use the <application>Gtk+ 2</application>
     104        user interface.
    104105      </para>
    105106    </note>
     
    125126      <ulink url="http://rtmpdump.mplayerhq.hu/">RTMPDump</ulink>,
    126127      <ulink url="http://code.google.com/p/vstream-client/">TiVo vstream client</ulink>
    127         and
     128      and
    128129      <ulink url="http://www.xmms.org/">XMMS</ulink>
    129130    </para>
     
    276277
    277278<screen role="root"><userinput>install -v -m644 etc/*.conf /etc/mplayer</userinput></screen>
     279
     280    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     281      href="../../xincludes/update-icons-and-desktop.xml"/>
    278282    </sect3>
    279283
  • multimedia/videoutils/xine-ui.xml

    r8517108 r2946338a  
    103103
    104104<screen role="root"><userinput>make docsdir=/usr/share/doc/xine-ui-&xine-ui-version; install</userinput></screen>
     105
     106    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     107      href="../../xincludes/update-icons-and-desktop.xml"/>
    105108  </sect2>
    106109
     
    142145
    143146      <para>
    144         If you have a DVB TV card you can watch TV with the command
    145         <command>xine dvb://</command> and change channel with the scroll wheel
    146         on your mouse
     147        If you have a DVB TV card, you can watch TV with the command
     148        <command>xine dvb://</command> and change channels with the scroll wheel
     149        on your mouse.
    147150      </para>
    148151    </sect3>
  • networking/netprogs/wpa_supplicant.xml

    r8517108 r2946338a  
    170170      If you wish to use <application>WPA Supplicant</application> with
    171171      <xref linkend="NetworkManager"/>, make sure that you have installed
    172       <xref linkend="dbus"/> and <xref linkend="libxml2"/>, then add
     172      <xref linkend="dbus"/> and <xref linkend="libxml2"/>, then add the
    173173      following options to the <application>WPA Supplicant</application>
    174174      build configuration file by running the following command:
     
    191191    <para>
    192192      If you have installed <xref linkend="qt"/> and wish to build
    193       <application>WPA Supplicant</application> GUI program, run
     193      the <application>WPA Supplicant</application> GUI program, run
    194194      the following commands:
    195195    </para>
     
    205205
    206206    <para>
    207       Now, as the <systemitem class="username">root</systemitem>
    208       user:
    209     </para>
    210 
    211 <screen role="root"><userinput>install -v -m755 wpa_{cli,passphrase,supplicant} /sbin &amp;&amp;
    212 install -v -m644 doc/docbook/wpa_supplicant.conf.5 /usr/share/man/man5 &amp;&amp;
    213 install -v -m644 doc/docbook/wpa_{cli,passphrase,supplicant}.8 /usr/share/man/man8</userinput></screen>
     207      Now, as the <systemitem class="username">root</systemitem> user:
     208    </para>
     209
     210<screen role="root"><userinput>install -v -m755 wpa_{cli,passphrase,supplicant}               \
     211                 /sbin                                         &amp;&amp;
     212install -v -m644 doc/docbook/wpa_supplicant.conf.5             \
     213                 /usr/share/man/man5                           &amp;&amp;
     214install -v -m644 doc/docbook/wpa_{cli,passphrase,supplicant}.8 \
     215                 /usr/share/man/man8</userinput></screen>
    214216
    215217    <para>
     
    223225<screen role="root"><userinput>install -v -m644 dbus/fi.{epitest.hostap.WPASupplicant,w1.wpa_supplicant1}.service \
    224226                 /usr/share/dbus-1/system-services &amp;&amp;
    225 install -v -m644 dbus/dbus-wpa_supplicant.conf /etc/dbus-1/system.d/wpa_supplicant.conf</userinput></screen>
    226 
    227     <para>
    228       If you have built <application>WPA Supplicant</application> GUI
     227install -v -m644 dbus/dbus-wpa_supplicant.conf \
     228                 /etc/dbus-1/system.d/wpa_supplicant.conf</userinput></screen>
     229
     230    <para>
     231      If you have built the <application>WPA Supplicant</application> GUI
    229232      program, install it by running the following commands as the
    230233      <systemitem class="username">root</systemitem> user:
    231234    </para>
    232235
    233 <screen role="root"><userinput>install -m755 wpa_gui-qt4/wpa_gui /usr/bin/ &amp;&amp;
    234 install -m644 doc/docbook/wpa_gui.8 /usr/share/man/man8/ &amp;&amp;
    235 install -m644 wpa_gui-qt4/wpa_gui.desktop /usr/share/applications/ &amp;&amp;
    236 install -m644 wpa_gui-qt4/icons/wpa_gui.svg /usr/share/pixmaps/</userinput></screen>
     236<screen role="root"><userinput>
     237install -v -m755 wpa_gui-qt4/wpa_gui           /usr/bin/ &amp;&amp;
     238install -v -m644 doc/docbook/wpa_gui.8         /usr/share/man/man8/ &amp;&amp;
     239install -v -m644 wpa_gui-qt4/wpa_gui.desktop   /usr/share/applications/ &amp;&amp;
     240install -v -m644 wpa_gui-qt4/icons/wpa_gui.svg /usr/share/pixmaps/</userinput></screen>
    237241
    238242    <note>
    239243      <para>
    240         You will need to restart system <application>D-Bus</application> daemon
    241         before you can use <application>WPA Supplicant</application>
     244        You will need to restart the system <application>D-Bus</application> daemon
     245        before you can use the <application>WPA Supplicant</application>
    242246        <application>D-Bus</application> interface.
    243247      </para>
    244248    </note>
    245249
     250    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     251      href="../../xincludes/update-desktop-database.xml"/>
    246252  </sect2>
    247253
     
    263269
    264270      <para>
    265         To connect to an access point that uses a password you need to put
     271        To connect to an access point that uses a password, you need to put
    266272        the pre-shared key in <filename>/etc/wpa_supplicant.conf</filename>. Use
    267273        <command>wpa_passphrase</command> to generate this. SSID is the string
  • pst/printing/cups.xml

    r8517108 r2946338a  
    139139        <application>libusb</application> backend and the usblp kernel
    140140        driver. If you want to use <application>Cups</application> with
    141         <application>libusb</application> <emphasis>do not</emphasis>
     141        <application>libusb</application>, <emphasis>do not</emphasis>
    142142        enable USB Printer support in your kernel.
    143143      </para>
     
    145145
    146146    <para>
    147       If you want to use the kernel usblp driver enable the following
     147      If you want to use the kernel usblp driver, enable the following
    148148      options in your kernel configuration and recompile the kernel:
    149149    </para>
     
    159159
    160160    <para>
    161       If you have a parallel printer enable the following options in your
     161      If you have a parallel printer, enable the following options in your
    162162      kernel configuration and recompile the kernel:
    163163    </para>
     
    180180
    181181    <para>
    182       You will need to add the <systemitem class="username">lp</systemitem>
     182      You will need to add an <systemitem class="username">lp</systemitem>
    183183      user, as <application>Cups</application> will create some files owned
    184184      by this user. (The <systemitem class="username">lp</systemitem> user
     
    192192
    193193    <para>
    194       You will also need dedicated group that will contain users allowed to
     194      You will also need a dedicated group that will contain users allowed to
    195195      do <application>Cups</application> administrative tasks. Add the group
    196196      by running the following command as the
     
    201201
    202202    <para>
    203       If you want to add an user to the <application>Cups</application>
     203      If you want to add a user to the <application>Cups</application>
    204204      administrative group, run the following command as the
    205205      <systemitem class="username">root</systemitem> user:
     
    270270
    271271    <para>
    272       Create basic <application>Cups</application> client configuration
     272      Create a basic <application>Cups</application> client configuration
    273273      file by running the following command as the
    274274      <systemitem class="username">root</systemitem> user:
     
    278278
    279279    <para>
    280       Remove filters that are now part of <application>Cups Filters</application>
     280      Remove filters that are now part of the <application>Cups Filters</application>
    281281      package by running the following commands as the
    282282      <systemitem class="username">root</systemitem> user:
     
    286286rm -rf /usr/share/cups/data/testprint</userinput></screen>
    287287
     288    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     289      href="../../xincludes/gtk-update-icon-cache.xml"/>
    288290  </sect2>
    289291
     
    293295    <para>
    294296      <parameter>--with-rcdir=/tmp/cupsinit</parameter>: This switch tells
    295       build process to install the shipped bootscript into
     297      the build process to install the shipped bootscript into
    296298      <filename class="directory">/tmp</filename> instead of
    297299      <filename class="directory">/etc/rc.d</filename>.
    298300    </para>
    299301
    300 <!-- There isn't any class="group" so I had to use class="username" here -->
    301302    <para>
    302303      <parameter>--with-system-groups=lpadmin</parameter>: This switch ensures
    303       that only <systemitem class="username">lpadmin</systemitem> will be used as
     304      that only <systemitem class="groupname">lpadmin</systemitem> will be used as
    304305      the <application>Cups</application> administrative group.
    305306    </para>
     
    317318
    318319    <para>
    319       <option>--disable-gnutls --enable-openssl</option>: This switch tells build
     320      <option>--disable-gnutls --enable-openssl</option>: This switch tells the build
    320321      process to use <xref linkend="openssl"/> instead of <xref linkend="gnutls"/>.
    321       Current version of <application>GnuTLS</application> might produce lot of
     322      The current version of <application>GnuTLS</application> might produce lot of
    322323      warnings during the <application>Cups</application> build.
    323324    </para>
     
    362363      <para>
    363364        If you have built <application>Cups</application> with
    364         <application>PAM</application> support, create
     365        <application>PAM</application> support, create a
    365366        BLFS specific <application>PAM</application>
    366367        configuration file by running the following command as
     
    385386
    386387      <para>
    387         If you want the <application>Cups</application> to start
     388        If you want the <application>Cups</application> print service to start
    388389        automatically when the system is booted, install the init
    389390        script included in the <xref linkend="bootscripts"/>
  • x/lib/qt.xml

    r8517108 r2946338a  
    8181      <xref linkend="dbus"/>,
    8282      <xref linkend="libjpeg"/>,
    83       <xref linkend="libmng"/>,
     83      <xref linkend="libmng"/> and
    8484      <xref linkend="libtiff"/>,
    85       <xref linkend="libpng"/> and
    86       <xref linkend="pkgconfig"/> (needed to use D-Bus, GLib, GTK and PulseAudio)
     85      <!-- previously required dependency <xref linkend="libpng"/> and -->
     86      <!-- installed in LFS
     87      <xref linkend="pkgconfig"/> (needed to use D-Bus, GLib, GTK and PulseAudio) -->
    8788    </para>
    8889
  • xsoft/other/gimp.xml

    r8517108 r2946338a  
    200200chown -R root:root /usr/share/gimp/2.0/help</userinput></screen>
    201201
     202    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     203      href="../../xincludes/update-icons-and-desktop.xml"/>
    202204  </sect2>
    203205
     
    230232    you have not installed <application>PyGTK</application>.</para>
    231233
    232     <para><option>./autogen.sh --prefix=/usr</option>: in this case, using
     234    <para><parameter>./autogen.sh --prefix=/usr</parameter>: In this case, using
    233235    <command>autoreconf</command> to regenerate <filename>configure</filename>
    234236    does not work, because of how the gimp-help developers chose to address
    235237    problems with the autotools.</para>
    236238
    237     <para><option>xzcat ../gimp-help-2.8.0-build_fixes-1.patch.xz</option>:
     239    <para><parameter>xzcat ../gimp-help-2.8.0-build_fixes-1.patch.xz</parameter>:
    238240    this patch is large, so it has been compressed with
    239241    <application>xz</application>.  You are encouraged to be suspicious of
Note: See TracChangeset for help on using the changeset viewer.